Subject: MCI LETTER
From: [email-masked] (Eugene B Mirman)
Date: Wed, 31 Jul 96 4:30:02 EDT
Newsgroups: rec.humor.funny

A few summers ago MCI sent my roommates and I a letter that
	boldly professed, "WELCOME TO OUR FAMILY!" Also, on the envelope,
        there was a picture of a happy nuclear family. I was so excited 
	to be a part of it that I mailed them the following letter:

       Dear MCI,

             Thank you for your beautiful letter that welcomed me to   
       your family. I was pleasantly surprised by how warm and
       genuine it was. I noticed that you offered me savings when I
       call friends and family that also use MCI. I presume that
       you use MCI, and since we are family, I am looking forward
       to all the savings I will receive from calling you.
       I am doing well in college. The semester is almost
       over, and soon I will be home. Unfortunately, it will only
       be for a few weeks, but I look forward to seeing you. I met
       a girl, and we've started seeing each other. I think you
       will like her; she has your eyes.

               There were some things in the letter that perplexed
       me. I was confused by the photograph on the envelope. Why
       wasn't I in the picture of our family? You could have waited
       for me to get back before you made personalized stationary
       for us. It hurt me. And really, if we are family, then why
       did you bill me? I never made you pay me when I mowed the
       lawn or vacuumed the house for you. We're family; we
       shouldn't make each other pay for things we help each other
       with.

               Also, I ran out of money, and was wondering if you
       could send me some. I don't need much, just enough for some
       food and clothes. Thanks a lot. Say hello to Teddy and Jerry
       for me. 
       You son,

       Eugene Mirman

       P.S. I love you.

       Copyright 1995 Eugene Mirman.  All Rights Reserved. Feel free
       to distribute as long as credit is given.

--
Selected by Jim Griffith.  MAIL your joke to [email-masked].
Attribute the joke's source if at all possible.  A Daemon will auto-reply.

Remember: PLEASE spell check and proofread your jokes.  You think I have
time to hand-correct everybody's postings? For the full submission guidelines,
see http://comedy.clari.net/rhf/